<nav class="navbar navbar-expand-lg bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" routerLink="">Angular Playground</a>

    <button
      class="navbar-toggler"
      type="button"
      aria-controls="navbarContent"
      [attr.aria-expanded]="navbarOpen"
      aria-label="Toggle navigation"
      (click)="toggleNavbar()"
    >
      <span class="navbar-toggler-icon"></span>
    </button>

    <div
      id="navbarContent"
      class="collapse navbar-collapse"
      [ngClass]="{ show: navbarOpen }"
    >
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" routerLink="/">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="components">Componenti</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="routing-parametrized">Routing</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="directives">Direttive</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="service">Servizi</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="pipes">Pipe</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="resolve">Resolve</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="form">Form</a>
        </li>
        <li class="nav-item">
          <a class="nav-link"  routerLinkActive="active" routerLink="tables">Tabella</a>
        </li>
        <li class="nav-item" *ngIf="loggedIn">
          <a class="nav-link"  routerLinkActive="active" routerLink="admin">Amministrazione</a>
        </li>
      </ul>
      <div class="ms-auto">
        <button
          *ngIf="!loggedIn"
          class="btn btn-primary my-2 my-sm-0"
          type="button"
          (click)="onLogin()"
        >
          Login
        </button>
        <button
          *ngIf="loggedIn"
          class="btn btn-danger my-2 my-sm-0"
          type="button"
          (click)="onLogout()"
        >
          Logout
        </button>
      </div>
    </div>
  </div>
</nav>
